Redéfinir \AMCformQuestion ne fonctionne pas correctement sur la version 1.3.0+hg2017-03-30-1-trusty1 
d'AMC, sur ppa:alexis.bienvenue/test.  En exécutant 'latex' sur l'exemple de 
http://home.gna.org/auto-qcm/auto-multiple-choice.fr/latex.shtml#secensemble les numéros des questions ne 
sont pas affichés et les "petites majuscules", demandées par \sc dans la redéfinition de \AMCformQuestion, 
continuent sur les copies suivantes.  Si \AMCform est dans un environnement ("center", "minipage", etc.), 
l'exécution de 'latex' échoue avec une erreur "! Missing } inserted".

Le problème se situe probablement à la ligne 787, 788 ou 795 de automultiplechoice.sty mais je suis 
incapable de comprendre ces lignes.

La version 1.3.0-1~trusty1 sur ppa:alexis.bienvenue/amc ne souffre pas de ce problème.

History
04/10/2017 06:43 pm - Loïc Cerf
Je suis surpris par l'absence de réponse après 9 jours.  Quelqu'un parvient-il à reproduire le bogue ?

04/11/2017 12:00 am - Loïc Cerf
Un autre professeur de mon université a reproduit le bogue sur Ubuntu 16.04 (j'utilise Trisquel 7, qui est basée sur Ubuntu 14.04).

04/11/2017 07:39 am - Joël Brogniart
> Je suis surpris par l'absence de réponse après 9 jours. Quelqu'un parvient-il à reproduire le bogue ?

Vous avez payé combien pour l'assistance et le logiciel ? Vous pensez que ça vous donne droit à un esclave à disposition ?

04/11/2017 01:22 pm - Loïc Cerf
Je suis désolé si j'ai pu paraître autoritaire mais ma phrase n'était pas du tout censée avoir cette connotation.  J'étais juste réellement surpris d'être le 
seul à rencontrer le problème, c'est à dire à apparemment le seul sur la version de test d'AMC à redéfinir \AMCformQuestion.  Je n'ai pas "besoin" de 
support : je suis tout simplement passé à la version stable pour créer/corriger l'examen... ce qui n'aide pas le développement d'AMC.  Car j'utilisais 
justement la version de test pour aider, à mon petit niveau, au développement d'AMC.  J'ai par exemple proposé (mais certes pas développé) 
\setgroupmode: http://project.auto-multiple-choice.net/issues/214#note-12

Par ailleurs, je suis quelqu'un qui passe beaucoup de temps en aidant gratuitement les utilisateurs de Trisquel, ce qui ne fait pas de moi un esclave : 
https://trisquel.info/fr/users/magic-banana/track

04/12/2017 02:18 pm - Alexis Bienvenüe
Le remaniement du paquet LaTeX qui a permis l'introduction de l'option @asbox@ a en effet modifié la signification de @\AMCformQuestion@ sans 
pour autant refléter celle-ci dans la documentation.
J'ai corrigé cela avec la modification commit:1f4f0388e715, mais malheureusement il faudra tout de même changer son code source lorsqu'on redéfinit 
@\AMCformQuestion@. Cette dernière commande se charge maintenant uniquement de l'annonce de la question, _sans gérer l'espacement vertical la 
précédant_ (cet espacement est géré par @\AMCformBeforeQuestion@) :
<pre>
\def\AMCformBeforeQuestion{\vspace{\AMCformVSpace}\par}
\def\AMCformQuestion#1{\textsc{Question #1 :}}
</pre>
04/12/2017 03:46 pm - Loïc Cerf
Merci beaucoup pour votre travail.  Je viens de repasser sur la version de test et, effectivement, tout fonctionne de nouveau... même sans redéfinir 
\AMCformBeforeQuestion!  Autrement, dit ces deux bouts de LaTeX semblent produire le même effet (correct) :

<pre>\def\AMCformBeforeQuestion{\vspace{\AMCformVSpace}\vspace{.25ex}\par}
\def\AMCformQuestion#1{\textbf{Questão #1:}\hfill}</pre>

<pre>\def\AMCformQuestion#1{\vspace{.25ex}\par\textbf{Questão #1:}\hfill}</pre>

04/12/2017 06:14 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Super: merci pour le rapport.
